package com.ruoyi.sy.domain;

import com.alibaba.fastjson2.JSONArray;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 职业概况对象 sy_vocational_overview
 * 
 * @author mingxue
 * @date 2022-03-30
 */
public class SyVocationalOverview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 编码 */
    @Excel(name = "编码")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 职业介绍 */
    @Excel(name = "职业介绍")
    private String description;

    /** 相关岗位 */
    @Excel(name = "相关岗位")
    private String postJobs;

    /** 相关专业 */
    @Excel(name = "相关专业")
    private String postMajors;

    /** 工作 */
    @Excel(name = "工作")
    private String jobs;

    /** 点击数 */
    @Excel(name = "点击数")
    private String hits;

    /** level */
    @Excel(name = "level")
    private Long level;

    /** level名称 */
    @Excel(name = "level名称")
    private String levelName;

    /** levels */
    @Excel(name = "levels")
    private String levels;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 总结 */
    @Excel(name = "总结")
    private String summary;

    /** 标识 */
    @Excel(name = "标识")
    private String tags;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setPostJobs(String postJobs) 
    {
        this.postJobs = postJobs;
    }

    public JSONArray getPostJobs()
    {
        return JSONArray.parseArray(postJobs);
    }

    public void setPostMajors(String postMajors) 
    {
        this.postMajors = postMajors;
    }

    public JSONArray getPostMajors()
    {
        return JSONArray.parseArray(postMajors);
    }

    public void setJobs(String jobs)
    {
        this.jobs = jobs;
    }

    public JSONArray getJobs()
    {
        return JSONArray.parseArray(jobs);
    }
    public void setHits(String hits) 
    {
        this.hits = hits;
    }

    public String getHits() 
    {
        return hits;
    }
    public void setLevel(Long level) 
    {
        this.level = level;
    }

    public Long getLevel() 
    {
        return level;
    }
    public void setLevelName(String levelName) 
    {
        this.levelName = levelName;
    }

    public String getLevelName() 
    {
        return levelName;
    }
    public void setLevels(String levels) 
    {
        this.levels = levels;
    }

    public JSONArray getLevels()
    {
        return JSONArray.parseArray(levels);
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setSummary(String summary) 
    {
        this.summary = summary;
    }

    public String getSummary() 
    {
        return summary;
    }
    public void setTags(String tags) 
    {
        this.tags = tags;
    }

    public JSONArray getTags()
    {
        return JSONArray.parseArray(tags);
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("description", getDescription())
            .append("postJobs", getPostJobs())
            .append("postMajors", getPostMajors())
            .append("jobs", getJobs())
            .append("hits", getHits())
            .append("level", getLevel())
            .append("levelName", getLevelName())
            .append("levels", getLevels())
            .append("status", getStatus())
            .append("summary", getSummary())
            .append("tags", getTags())
            .append("createTime", getCreateTime())
            .toString();
    }
}
